ProgressMonitorInputStream (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class ProgressMonitorInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--javax.swing.ProgressMonitorInputStream

public class ProgressMonitorInputStream
extends FilterInputStream

Monitors the progress of reading from some InputStream. This ProgressMonitor is normally invoked in roughly this form:

     InputStream in = new BufferedInputStream(
                              new ProgressMonitorInputStream(
                                      parentComponent,
                                      "Reading " + fileName,
                                      new FileInputStream(fileName)));

This creates a progress monitor to monitor the progress of reading the input stream. If it's taking a while, a ProgressDialog will be popped up to inform the user. If the user hits the Cancel button an InterruptedIOException will be thrown on the next read. All the right cleanup is done when the stream is closed.

For further documentation and examples see How to Monitor Progress, a section in The Java Tutorial.

See Also:
  `ProgressMonitor`, `JOptionPane`

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ProgressMonitorInputStream(Component parentComponent, Object message, InputStream in)` Constructs an object to monitor the progress of an input stream.

Method Summary
`void` | `close()` Overrides `FilterInputStream.close` to close the progress monitor as well as the stream.
`ProgressMonitor` | `getProgressMonitor()` Get the ProgressMonitor object being used by this stream.
`int` | `read()` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`int` | `read(byte[] b)` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`int` | `read(byte[] b, int off, int len)` Overrides `FilterInputStream.read` to update the progress monitor after the read.
`void` | `reset()` Overrides `FilterInputStream.reset` to reset the progress monitor as well as the stream.
`long` | `skip(long n)` Overrides `FilterInputStream.skip` to update the progress monitor after the skip.

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressMonitorInputStream

    public ProgressMonitorInputStream(Component parentComponent,
                                      Object message,
                                      InputStream in)

  Constructs an object to monitor the progress of an input stream.

Parameters:
  `message` - Descriptive text to be placed in the dialog box if one is popped up.
  `parentComponent` - The component triggering the operation being monitored.
  `in` - The input stream to be monitored.

Method Detail

### getProgressMonitor

    public ProgressMonitor getProgressMonitor()

  Get the ProgressMonitor object being used by this stream. Normally this isn't needed unless you want to do something like change the descriptive text partway through reading the file.

  Returns:
    the ProgressMonitor object used by this object

### read

    public int read()
             throws IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.

  Overrides:
    `read` in class `FilterInputStream`
  Returns:
    the next byte of data, or `-1` if the end of the stream is reached.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterInputStream.in`

### read

    public int read(byte[] b)
             throws IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.

  Overrides:
    `read` in class `FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterInputStream.read(byte[], int, int)`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides `FilterInputStream.read` to update the progress monitor after the read.

  Overrides:
    `read` in class `FilterInputStream`
  Parameters:
    `b` - the buffer into which the data is read.
    `off` - the start offset of the data.
    `len` - the maximum number of bytes read.
  Returns:
    the total number of bytes read into the buffer, or `-1` if there is no more data because the end of the stream has been reached.
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterInputStream.in`

### skip

    public long skip(long n)
              throws IOException

  Overrides `FilterInputStream.skip` to update the progress monitor after the skip.

  Overrides:
    `skip` in class `FilterInputStream`
  Parameters:
    `n` - the number of bytes to be skipped.
  Returns:
    the actual number of bytes skipped.
  Throws:
    `IOException` - if an I/O error occurs.

### close

    public void close()
               throws IOException

  Overrides `FilterInputStream.close` to close the progress monitor as well as the stream.

  Overrides:
    `close` in class `FilterInputStream`
  Throws:
    `IOException` - if an I/O error occurs.
  See Also:
    `FilterInputStream.in`

### reset

    public void reset()
               throws IOException

  Overrides `FilterInputStream.reset` to reset the progress monitor as well as the stream.

  Overrides:
    `reset` in class `FilterInputStream`
  Throws:
    `IOException` - if the stream has not been marked or if the mark has been invalidated.
  See Also:
    `FilterInputStream.in`, `FilterInputStream.mark(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.